services:
  _defaults:
    public: true
    autowire: true
    bind:
      $kernelBundles: '%kernel.bundles%'
      $projectDir: '%kernel.project_dir%'
      $webDir: '%contao.web_dir%'
      $utilsConfig: '%huh_utils%'
      Contao\CoreBundle\Command\SymlinksCommand: '@contao.command.symlinks'

  HeimrichHannot\UtilsBundle\Accordion\AccordionUtil: ~
  HeimrichHannot\UtilsBundle\Arrays\ArrayUtil: ~
  HeimrichHannot\UtilsBundle\Cache\DatabaseCacheUtil: ~
  HeimrichHannot\UtilsBundle\Cache\DatabaseTreeCache: ~
  HeimrichHannot\UtilsBundle\Cache\FileCache:
    deprecated: "%service_id% will be removed in 3.0. Use FileStorageUtil instead"
  HeimrichHannot\UtilsBundle\Cache\RemoteImageCache: ~
  HeimrichHannot\UtilsBundle\Cache\UtilCacheWarmer: '@huh.cache.warm_internal'
  HeimrichHannot\UtilsBundle\Comparison\CompareUtil: ~
  HeimrichHannot\UtilsBundle\Database\DatabaseUtil: ~
  HeimrichHannot\UtilsBundle\File\FileArchiveUtil: ~
  HeimrichHannot\UtilsBundle\File\FileStorageUtil: ~
  HeimrichHannot\UtilsBundle\File\FolderUtil: ~
  HeimrichHannot\UtilsBundle\Form\FormUtil: ~
  HeimrichHannot\UtilsBundle\Location\LocationUtil: ~
  HeimrichHannot\UtilsBundle\Member\MemberUtil: ~
  HeimrichHannot\UtilsBundle\Page\PageUtil: ~
  HeimrichHannot\UtilsBundle\Pdf\PdfPreview: ~
  HeimrichHannot\UtilsBundle\Request\RequestUtil: ~
  HeimrichHannot\UtilsBundle\Routing\RoutingUtil: '@huh.utils.routing'
  HeimrichHannot\UtilsBundle\Rsce\RsceUtil: ~
  HeimrichHannot\UtilsBundle\Salutation\SalutationUtil: ~
  HeimrichHannot\UtilsBundle\Security\CodeUtil: ~
  HeimrichHannot\UtilsBundle\Security\EncryptionUtil: ~
  HeimrichHannot\UtilsBundle\String\AnonymizerUtil: ~
  HeimrichHannot\UtilsBundle\String\StringUtil: ~
  HeimrichHannot\UtilsBundle\Url\UrlUtil: ~
  HeimrichHannot\UtilsBundle\User\UserUtil: ~
  HeimrichHannot\UtilsBundle\Ics\IcsUtil: ~

  huh.utils.accordion: '@HeimrichHannot\UtilsBundle\Accordion\AccordionUtil'
  huh.utils.array: '@HeimrichHannot\UtilsBundle\Arrays\ArrayUtil'
  huh.utils.cache.file:
    alias: HeimrichHannot\UtilsBundle\Cache\FileCache
    deprecated: "%alias_id% will be removed in 3.0. Use FileStorageUtil instead"
  huh.utils.cache.remote_image_cache: '@HeimrichHannot\UtilsBundle\Cache\RemoteImageCache'
  huh.utils.file_archive: '@HeimrichHannot\UtilsBundle\File\FileArchiveUtil'
  huh.utils.folder: '@HeimrichHannot\UtilsBundle\File\FolderUtil'
  huh.utils.form: '@HeimrichHannot\UtilsBundle\Form\FormUtil'
  huh.utils.member: '@HeimrichHannot\UtilsBundle\Member\MemberUtil'
  huh.utils.page: '@HeimrichHannot\UtilsBundle\Page\PageUtil'
  huh.utils.pdf.preview: '@HeimrichHannot\UtilsBundle\Pdf\PdfPreview'
  huh.utils.request: '@HeimrichHannot\UtilsBundle\Request\RequestUtil'
  huh.utils.string: '@HeimrichHannot\UtilsBundle\String\StringUtil'
  huh.utils.string.anonymizer: '@HeimrichHannot\UtilsBundle\String\AnonymizerUtil'
  huh.utils.user: '@HeimrichHannot\UtilsBundle\User\UserUtil'

  huh.utils.class:
    class: HeimrichHannot\UtilsBundle\Classes\ClassUtil
  HeimrichHannot\UtilsBundle\Classes\ClassUtil: "@huh.utils.class"

  huh.utils.container:
    class: HeimrichHannot\UtilsBundle\Container\ContainerUtil
  HeimrichHannot\UtilsBundle\Container\ContainerUtil: "@huh.utils.container"

  huh.utils.date:
    class: HeimrichHannot\UtilsBundle\Date\DateUtil
  HeimrichHannot\UtilsBundle\Date\DateUtil: "@huh.utils.date"

  huh.utils.dca:
    class: HeimrichHannot\UtilsBundle\Dca\DcaUtil
  HeimrichHannot\UtilsBundle\Dca\DcaUtil: "@huh.utils.dca"

  huh.utils.file:
    class: HeimrichHannot\UtilsBundle\File\FileUtil
  HeimrichHannot\UtilsBundle\File\FileUtil: "@huh.utils.file"

  huh.utils.image:
    class: HeimrichHannot\UtilsBundle\Image\ImageUtil
  HeimrichHannot\UtilsBundle\Image\ImageUtil: "@huh.utils.image"

  huh.utils.model:
    class: HeimrichHannot\UtilsBundle\Model\ModelUtil
  HeimrichHannot\UtilsBundle\Model\ModelUtil: '@huh.utils.model'

  huh.utils.content:
    class: HeimrichHannot\UtilsBundle\Content\ContentUtil
  HeimrichHannot\UtilsBundle\Content\ContentUtil: '@huh.utils.content'

  huh.utils.module:
    class: HeimrichHannot\UtilsBundle\Module\ModuleUtil
  HeimrichHannot\UtilsBundle\Module\ModuleUtil: '@huh.utils.module'

  huh.utils.template:
    class: HeimrichHannot\UtilsBundle\Template\TemplateUtil
  HeimrichHannot\UtilsBundle\Template\TemplateUtil: "@huh.utils.template"

  huh.utils.request.curl:
    class: HeimrichHannot\UtilsBundle\Request\CurlRequestUtil
  HeimrichHannot\UtilsBundle\Request\CurlRequestUtil: '@huh.utils.request.curl'
